Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class ExceptionEvent

    java.lang.Object
      com.sleepycat.je.ExceptionEvent

    public class ExceptionEvent

extends Object

A class representing an exception event. Contains an exception and the name of the daemon thread that it was thrown from.

Constructor Summary
`ExceptionEvent(Exception exception)`
`ExceptionEvent(Exception exception, String threadName)`

Method Summary
`Exception` | `getException()` Returns the exception in the event.
`String` | `getThreadName()` Returns the name of the daemon thread that threw the exception.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExceptionEvent

    public ExceptionEvent(Exception exception,
                          String threadName)

### ExceptionEvent

    public ExceptionEvent(Exception exception)

Method Detail

### getException

    public Exception getException()

  Returns the exception in the event.

### getThreadName

    public String getThreadName()

  Returns the name of the daemon thread that threw the exception.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.